package cokr.xit.ens.modules.common.ctgy.intgrnbill.nv.service.process.code;

import cokr.xit.ens.core.code.CodeMapperType;
import lombok.Getter;


/**
 * <ul>
 * <li>업무 그룹명: 네이버페이 간편결제API - 결제상품 유형</li>
 * <li>설 명: </li>
 * <li>작성일: 2023. 2. 22. 오후 2:47:43
 * </ul>
 *
 * @author 박민규
 */

public enum NvEpCtgyTypeCd implements CodeMapperType {
    BOOK("도서"),
    MUSIC("음악"),
    MOVIE("영화"),
    PRODUCT("상품"),
    PLAY("공연"),
    TRAVEL("여행"),
    INSURANCE("보험"),
    FLIGHT("항공"),
    FOOD("음식"),
    ETC("기타"),
    ;
    @Getter
    private String code;
    @Getter
    private String codeNm;

    NvEpCtgyTypeCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }
}
